Bug 590859 - SELinux is preventing /usr/bin/iceauth access to a leaked /home/jim/.execoooIviMui (deleted) file descriptor.
SELinux is preventing /usr/bin/iceauth access to a leaked /home/jim/.execoooI...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:dce22f01dd8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 15:59 EDT by Samster
Modified: 2010-08-19 07:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 07:32:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Samster 2010-05-10 15:59:57 EDT
Summary:

SELinux is preventing /usr/bin/iceauth access to a leaked
/home/jim/.execoooIviMui (deleted) file descriptor.

Detailed Description:

[iceauth has a permissive type (iceauth_t). This access was not denied.]

SELinux denied access requested by the iceauth command. It looks like this is
either a leaked descriptor or iceauth output was redirected to a file it is not
allowed to access. Leaks usually can be ignored since SELinux is just closing
the leak and reporting the error. The application does not use the descriptor,
so it will run properly. If this is a redirection, you will not get output in
the /home/jim/.execoooIviMui (deleted). You should generate a bugzilla on
selinux-policy, and it will get routed to the appropriate package. You can
safely ignore this avc.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385)

Additional Information:

Source Context                unconfined_u:unconfined_r:iceauth_t:s0
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                /home/jim/.execoooIviMui (deleted) [ file ]
Source                        iceauth
Source Path                   /usr/bin/iceauth
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           xorg-x11-server-utils-7.4-13.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-113.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   leaks
Host Name                     (removed)
Platform                      Linux (removed) 2.6.32.11-99.fc12.x86_64 #1
                              SMP Mon Apr 5 19:59:38 UTC 2010 x86_64 x86_64
Alert Count                   38
First Seen                    Mon 10 May 2010 12:19:23 PM EDT
Last Seen                     Mon 10 May 2010 12:19:39 PM EDT
Local ID                      0840ed11-3fbb-40fe-bd1f-4440dcc71f93
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1273508379.384:89): avc:  denied  { read write } for  pid=6327 comm="iceauth" path=2F686F6D652F6A696D2F2E657865636F6F6F4976694D7569202864656C6574656429 dev=dm-0 ino=7718006 scontext=unconfined_u:unconfined_r:iceauth_t:s0 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1273508379.384:89): avc:  denied  { read write } for  pid=6327 comm="iceauth" path=2F686F6D652F6A696D2F2E657865636F6F6F78717539796D202864656C6574656429 dev=dm-0 ino=7719396 scontext=unconfined_u:unconfined_r:iceauth_t:s0 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1273508379.384:89): avc:  denied  { read write } for  pid=6327 comm="iceauth" path=2F686F6D652F6A696D2F2E657865636F6F6F38564B4A4471202864656C6574656429 dev=dm-0 ino=7719399 scontext=unconfined_u:unconfined_r:iceauth_t:s0 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1273508379.384:89): avc:  denied  { read write } for  pid=6327 comm="iceauth" path=2F686F6D652F6A696D2F2E657865636F6F6F686B61414975202864656C6574656429 dev=dm-0 ino=7719433 scontext=unconfined_u:unconfined_r:iceauth_t:s0 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1273508379.384:89): avc:  denied  { read write } for  pid=6327 comm="iceauth" path=2F686F6D652F6A696D2F2E657865636F6F6F716136364E79202864656C6574656429 dev=dm-0 ino=7719451 scontext=unconfined_u:unconfined_r:iceauth_t:s0 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1273508379.384:89): avc:  denied  { read write } for  pid=6327 comm="iceauth" path=2F686F6D652F6A696D2F2E657865636F6F6F524777505443202864656C6574656429 dev=dm-0 ino=7719526 scontext=unconfined_u:unconfined_r:iceauth_t:s0 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1273508379.384:89): avc:  denied  { read } for  pid=6327 comm="iceauth" path="/usr/lib64/openoffice.org3/program/resource/oooen-US.res" dev=dm-0 ino=3786405 scontext=unconfined_u:unconfined_r:iceauth_t:s0 tcontext=system_u:object_r:bin_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1273508379.384:89): avc:  denied  { read } for  pid=6327 comm="iceauth" path="/usr/lib64/openoffice.org/basis3.1/program/resource/sben-US.res" dev=dm-0 ino=4087848 scontext=unconfined_u:unconfined_r:iceauth_t:s0 tcontext=system_u:object_r:bin_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1273508379.384:89): avc:  denied  { read } for  pid=6327 comm="iceauth" path="/usr/lib64/openoffice.org/basis3.1/program/resource/fween-US.res" dev=dm-0 ino=4087839 scontext=unconfined_u:unconfined_r:iceauth_t:s0 tcontext=system_u:object_r:bin_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1273508379.384:89): avc:  denied  { read } for  pid=6327 comm="iceauth" path="/usr/lib64/openoffice.org/basis3.1/program/resource/ofaen-US.res" dev=dm-0 ino=4087842 scontext=unconfined_u:unconfined_r:iceauth_t:s0 tcontext=system_u:object_r:bin_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1273508379.384:89): avc:  denied  { read write } for  pid=6327 comm="iceauth" path=2F686F6D652F6A696D2F2E657865636F6F6F6C5834614148202864656C6574656429 dev=dm-0 ino=7719527 scontext=unconfined_u:unconfined_r:iceauth_t:s0 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1273508379.384:89): avc:  denied  { read } for  pid=6327 comm="iceauth" path="/usr/lib64/openoffice.org/basis3.1/program/resource/sfxen-US.res" dev=dm-0 ino=4087851 scontext=unconfined_u:unconfined_r:iceauth_t:s0 tcontext=system_u:object_r:bin_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1273508379.384:89): avc:  denied  { read } for  pid=6327 comm="iceauth" path="/usr/lib64/openoffice.org/basis3.1/program/resource/vclen-US.res" dev=dm-0 ino=4087864 scontext=unconfined_u:unconfined_r:iceauth_t:s0 tcontext=system_u:object_r:bin_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1273508379.384:89): avc:  denied  { read } for  pid=6327 comm="iceauth" path="/usr/lib64/openoffice.org/basis3.1/program/resource/swen-US.res" dev=dm-0 ino=4087856 scontext=unconfined_u:unconfined_r:iceauth_t:s0 tcontext=system_u:object_r:bin_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1273508379.384:89): avc:  denied  { read } for  pid=6327 comm="iceauth" path="/usr/lib64/openoffice.org/basis3.1/program/resource/svxen-US.res" dev=dm-0 ino=4087855 scontext=unconfined_u:unconfined_r:iceauth_t:s0 tcontext=system_u:object_r:bin_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1273508379.384:89): avc:  denied  { read } for  pid=6327 comm="iceauth" path="/usr/lib64/openoffice.org/basis3.1/program/resource/svten-US.res" dev=dm-0 ino=4087854 scontext=unconfined_u:unconfined_r:iceauth_t:s0 tcontext=system_u:object_r:bin_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1273508379.384:89): avc:  denied  { read write } for  pid=6327 comm="iceauth" path="/home/jim/.openoffice.org/3/user/uno_packages/cache/log.txt" dev=dm-0 ino=8306931 scontext=unconfined_u:unconfined_r:iceauth_t:s0 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1273508379.384:89): avc:  denied  { read } for  pid=6327 comm="iceauth" path="/usr/lib64/openoffice.org/basis3.1/program/resource/deploymenten-US.res" dev=dm-0 ino=4087826 scontext=unconfined_u:unconfined_r:iceauth_t:s0 tcontext=system_u:object_r:bin_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1273508379.384:89): avc:  denied  { read write } for  pid=6327 comm="iceauth" path="/home/jim/work/documentation/resumes/NY_labor_resumes/it_resume_20100510.odt" dev=dm-0 ino=221220 scontext=unconfined_u:unconfined_r:iceauth_t:s0 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1273508379.384:89): arch=c000003e syscall=59 success=yes exit=0 a0=c2eba0 a1=c2de60 a2=c2d080 a3=20 items=0 ppid=6326 pid=6327 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=5 comm="iceauth" exe="/usr/bin/iceauth" subj=unconfined_u:unconfined_r:iceauth_t:s0 key=(null)



Hash String generated from  leaks,iceauth,iceauth_t,user_home_t,file,read,write
audit2allow suggests:

#============= iceauth_t ==============
allow iceauth_t bin_t:file read;
allow iceauth_t user_home_t:file { read write };

Note You need to log in before you can comment on or make changes to this bug.